Skip to main content
curl -X POST 'https://product.api.e-cross.tech/ext/inventories/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "skuId": "1234567891",
    "quantity": 49,
    "warehouseId": 1,
    "inventoryType": "AVAILABLE"
  }'
{
  "id": "ACME-1234567891-1-AVAILABLE",
  "skuId": "1234567891",
  "skuName": "T-Shirt",
  "merchantId": "ACME",
  "quantity": 3,
  "inventoryType": "AVAILABLE",
  "lastUpdateDate": "2024-01-17T19:58:53.270Z",
  "warehouseId": 1,
  "warehouseName": "Default",
  "warehouseCountry": "ES"
}

Request Parameters

skuId
string
required
The SKU ID in the sales channel (the SKU_ID used to create the SKU).
quantity
integer
required
The available quantity of the SKU. This represents how many pieces can be sold.
warehouseId
integer
required
The ID of the warehouse where the SKU is stocked. Use 1 unless you are informed otherwise.
inventoryType
string
required
The type of inventory to update. Available values are:
  • AVAILABLE: available quantity of the SKU for sales.
  • DAMAGED: damaged quantity of the SKU. This is used to track the quantity of returned SKUs that are damaged and can’t be sold as new.

Response Fields

id
string
The unique identifier of this SKU inventory record.
merchantId
string
The unique identifier of the merchant within the e-CROSS platform.
skuId
string
The SKU ID in the sales channel.
skuName
string
The SKU name within e-CROSS. If the SKU isn’t registered in the e-CROSS platform, this field won’t be returned.
warehouseId
integer
The ID of the warehouse where the SKU is stocked.
warehouseName
string
The name of the warehouse where the SKU is stocked.
warehouseCountry
string
The country of the warehouse where the SKU is stocked.
quantity
integer
The quantity of SKUs stocked in this warehouse.
inventoryType
string
The type of this inventory record.
lastUpdateDate
string
The date and time when the product inventory entry was created or the quantity was changed, in ISO 8601 format.
lastIntegrationDate
string
The date and time when the sales channel updated the inventory quantity in their system. If no integration has occurred yet, this field won’t be returned.
returnedOrders
array
Array containing the orders that generated the inventory position.